scala.xml.dtd

# Scanner

#### class Scanner extends Tokens with TokenTests

Scanner for regexps (content models in DTD element declarations) todo: cleanup

Source
  Scanner.scala

Linear Supertypes
TokenTests, Tokens, AnyRef, Any
Known Subclasses
ContentModelParser
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Scanner
2. TokenTests
3. Tokens
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Scanner()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Scanner to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Scanner, B)

   Implicit information
     This member is added by an implicit conversion from Scanner to ArrowAssoc[Scanner] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final val CHOICE: Int(9)

   Definition Classes
     Tokens

9. #### final val COMMA: Int(5)

   Definition Classes
     Tokens

10. #### final val END: Int(10)

    Definition Classes
      Tokens

11. #### final val ENDCH: Char('\00')

12. #### final val LPAREN: Int(3)

    Definition Classes
      Tokens

13. #### final val NAME: Int(1)

    Definition Classes
      Tokens

14. #### final val OPT: Int(8)

    Definition Classes
      Tokens

15. #### final val PLUS: Int(7)

    Definition Classes
      Tokens

16. #### final val RPAREN: Int(4)

    Definition Classes
      Tokens

17. #### final val S: Int(13)

    Definition Classes
      Tokens

18. #### final val STAR: Int(6)

    Definition Classes
      Tokens

19. #### final val TOKEN_PCDATA: Int(0)

    Definition Classes
      Tokens

20. #### final def acc(d: Char): Unit

21. #### final def accS(ds: Seq[Char]): Unit

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def checkPubID(s: String): Boolean

    Definition Classes
      TokenTests

24. #### def checkSysID(s: String): Boolean

    Definition Classes
      TokenTests

25. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

26. #### def ensuring(cond: (Scanner) ⇒ Boolean, msg: ⇒ Any): Scanner

    Implicit information
      This member is added by an implicit conversion from Scanner to Ensuring[Scanner] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

27. #### def ensuring(cond: (Scanner) ⇒ Boolean): Scanner

    Implicit information
      This member is added by an implicit conversion from Scanner to Ensuring[Scanner] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

28. #### def ensuring(cond: Boolean, msg: ⇒ Any): Scanner

    Implicit information
      This member is added by an implicit conversion from Scanner to Ensuring[Scanner] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

29. #### def ensuring(cond: Boolean): Scanner

    Implicit information
      This member is added by an implicit conversion from Scanner to Ensuring[Scanner] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

31. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

32. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

33. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Scanner to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

34. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

35. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

36. #### final def initScanner(s: String): Unit

    initializes the scanner on input s

37. #### def isAlpha(c: Char): Boolean

    These are 99% sure to be redundant but refactoring on the safe side.

    These are 99% sure to be redundant but refactoring on the safe side.

    Definition Classes
      TokenTests

38. #### def isAlphaDigit(c: Char): Boolean

    Definition Classes
      TokenTests

39. #### final def isIdentChar: Boolean

40. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

41. #### def isName(s: String): Boolean

        Name ::= ( Letter | '_' ) (NameChar)*

    See [5] of XML 1.0 specification.

    Definition Classes
      TokenTests

42. #### def isNameChar(ch: Char): Boolean

        NameChar ::= Letter | Digit | '.' | '-' | '_' | ':'
        | CombiningChar | Extender

    See [4] and Appendix B of XML 1.0 specification.

    Definition Classes
      TokenTests

43. #### def isNameStart(ch: Char): Boolean

        NameStart ::= ( Letter | '_' )

    where Letter means in one of the Unicode general categories `{ Ll, Lu, Lo, Lt, Nl }`.

    We do not allow a name to start with `:`. See [3] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

44. #### def isPubIDChar(ch: Char): Boolean

    Definition Classes
      TokenTests

45. #### final def isSpace(cs: Seq[Char]): Boolean

        (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      TokenTests

46. #### final def isSpace(ch: Char): Boolean

        (#x20 | #x9 | #xD | #xA)

    Definition Classes
      TokenTests

47. #### def isValidIANAEncoding(ianaEncoding: Seq[Char]): Boolean

    Returns `true` if the encoding name is a valid IANA encoding.

    Returns `true` if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

    ianaEncoding

      The IANA encoding name.

    Definition Classes
      TokenTests

48. #### final def name: Int

49. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### final def next(): Unit

51. #### final def nextToken(): Unit

    scans the next token

52. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

53. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

54. #### final def readToken: Int

55. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

56. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

57. #### var token: Int

58. #### final def token2string(i: Int): String

    Definition Classes
      Tokens

59. #### var value: String

60. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### def →[B](y: B): (Scanner, B)

    Implicit information
      This member is added by an implicit conversion from Scanner to ArrowAssoc[Scanner] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Scanner to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scanner: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Scanner to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scanner: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Scanner

   Implicit information
     This member is added by an implicit conversion from Scanner to ArrowAssoc[Scanner] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scanner: ArrowAssoc[Scanner]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Scanner

   Implicit information
     This member is added by an implicit conversion from Scanner to Ensuring[Scanner] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scanner: Ensuring[Scanner]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from TokenTests

### Inherited from Tokens

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Scanner to StringAdd

### Inherited by implicit conversion any2stringfmt from Scanner to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Scanner to ArrowAssoc[Scanner]

### Inherited by implicit conversion any2Ensuring from Scanner to Ensuring[Scanner]

### Ungrouped